﻿using Infragistics.Windows.DockManager;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamGridBindingSourceCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void grid1_ColumnLayoutAssigned(object sender, Infragistics.Controls.Grids.ColumnLayoutAssignedEventArgs e)
        {

        }

        private void button_Click(object sender, RoutedEventArgs e)
        {
            if (m_Content.Content != null) return;
            NewMethod();

        }
        /// <summary>
        /// Create and return a new content pane for the document content host.
        /// </summary>
        private Infragistics.Windows.DockManager.ContentPane NewPane(string p_Header)
        {
            // Create a unique pane name.
            string PaneName = "G_" + Guid.NewGuid().ToString().Replace('-', '_');

            // Create a new content pane for results
            ContentPane Results = new ContentPane()
            {
                Name = PaneName,
                Header = p_Header,
                AllowClose = true,
                AllowDocking = false,
                AllowFloatingOnly = false,
                CloseAction = PaneCloseAction.RemovePane,
                CloseButtonVisibility = System.Windows.Visibility.Visible

            };

          

            // Return it
            return Results;
        }

        private void NewMethod()
        {

            // Title of document pane
            string PaneTitle = "XXX"; // FormatTitle(p_SchedulingSourceType, p_SelectedDisplayName, p_FlagUserViewerType);

            // Create a content pane for the order
            UserControl1 SourceItemsForScheduling;
            ContentPane PaneForWorkOrders;
            SourceItemsForScheduling = (UserControl1)Activator.CreateInstance(typeof(UserControl1)); //, ParentBrowse);

            PaneForWorkOrders = NewPane(PaneTitle);
            PaneForWorkOrders.Content = SourceItemsForScheduling;
            this.m_DocumentTabGroupPane.Items.Add(PaneForWorkOrders);


            System.Diagnostics.Debug.WriteLine("UpdateLayout Starting");
            this.m_DocumentTabGroupPane.UpdateLayout();
            this.m_DocumentTabGroupPane.SelectedItem = PaneForWorkOrders;
            System.Diagnostics.Debug.WriteLine("UpdateLayout Complete");



            System.Diagnostics.Debug.WriteLine("<============= CHECK IN DEBUGGER: SourceItemsForScheduling.grid1.RowsManager.DataManager");
             
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            NewMethod();

        }

        private void m_DocumentTabGroupPane_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {

        }
    }
}
